commit 892c58d93110e1b30d7ebe93e704f318d16c34a3
Author: H.J. Lu <hjl.tools@gmail.com>
Date:   Tue Jan 18 17:57:37 2022

    [Ada] Compile s-mmap and 128bit on x86_64-linux-gnux32
    
            PR ada/103538
            * Makefile.rtl (LIBGNAT_TARGET_PAIRS): Add
            $(TRASYM_DWARF_UNIX_PAIRS),
            s-tsmona.adb<libgnat/s-tsmona__linux.adb,
            $(GNATRTL_128BIT_PAIRS).
            (EXTRA_GNATRTL_NONTASKING_OBJS): Add $(TRASYM_DWARF_UNIX_OBJS)
            and $(GNATRTL_128BIT_OBJS).
    
    (cherry picked from commit 9d6c63ba490ec92245f04b5cbafc56abd28e8d22)

diff --git a/gcc/ada/Makefile.rtl b/gcc/ada/Makefile.rtl
index 987eff0abba..96c0a5b089c 100644
--- a/gcc/ada/Makefile.rtl
+++ b/gcc/ada/Makefile.rtl
@@ -2741,13 +2741,18 @@ ifeq ($(strip $(filter-out %x32 linux%,$(target_cpu) $(target_os))),)
   s-tasinf.adb<libgnarl/s-tasinf__linux.adb \
   s-tpopsp.adb<libgnarl/s-tpopsp__tls.adb \
   s-taspri.ads<libgnarl/s-taspri__posix.ads \
+  $(TRASYM_DWARF_UNIX_PAIRS) \
+  s-tsmona.adb<libgnat/s-tsmona__linux.adb \
   $(ATOMICS_TARGET_PAIRS) \
   $(X86_64_TARGET_PAIRS) \
+  $(GNATRTL_128BIT_PAIRS) \
   system.ads<libgnat/system-linux-x86.ads
 
   TOOLS_TARGET_PAIRS = indepsw.adb<indepsw-gnu.adb
 
   EXTRA_GNATRTL_NONTASKING_OBJS=g-sse.o g-ssvety.o
+  EXTRA_GNATRTL_NONTASKING_OBJS+=$(TRASYM_DWARF_UNIX_OBJS)
+  EXTRA_GNATRTL_NONTASKING_OBJS+=$(GNATRTL_128BIT_OBJS)
   EXTRA_GNATRTL_TASKING_OBJS=s-linux.o a-exetim.o
   EH_MECHANISM=-gcc
   THREADSLIB=-lpthread -lrt

